Subject: iSCSI : LUN field in NOP-OUT & NOP-IN PDUs.

From: Santosh Rao <[email-masked]>
Date: Mon, 23 Apr 2001 12:14:54 -0700

At the risk of raising a subject that has been beaten to death [and
still not resolved ?], could someone please clarify on what was the
outcome of the prior thread discussing the usage of the LUN field in
NOP-OUT & NOP-IN PDUs ?

As has been discussed in the past, the NOP-OUT and NOP-IN PDUs are
transport specific and are used without any LUN context. Hence, it is
not clear why a LUN field is required in either the NOP-OUT or NOP-IN
PDUs. 

Some side notes on this subject :
a) the LUN field description is missing in the NOP-OUT description and
it is not clear from either the figure or the text whether this field
can be reserved. If so, what would be the reserved value for LUN in
NOP-OUT ? 

b) The NOP-IN PDU description shows a value of LUN 0 as reserved in the
NOP-IN PDU diagram. Is not LUN 0 a valid LU number for a LU (?) 

- Santosh